Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228928 - oddjob: $RPM_OPT_FLAGS not used
Summary: oddjob: $RPM_OPT_FLAGS not used
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: oddjob
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-15 21:57 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-06 00:09:31 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2007-02-15 21:57:06 UTC
http://www.redhat.com/archives/fedora-maintainers/2007-January/msg00339.html

There's something odd (pun intended :)) going on here, none of my usual suspects
apply, but the result is that CFLAGS from the environment is not used during
build, even though %configure sets it.  It gets lost somewhere.

A bit off topic, but %configuring with --disable-dependency-tracking would make
the build output cleaner and easier to notice problems like this, and could
provide a slight build speedup.

Comment 1 Nalin Dahyabhai 2007-02-15 23:39:51 UTC
Ugh, this isn't a packaging bug.  I'll have to roll a new release to fix it.

Comment 2 Ville Skyttä 2007-07-28 20:10:05 UTC
Any news?

Comment 3 Nalin Dahyabhai 2007-09-05 21:16:50 UTC
Should be fixed in 0.29.


Note You need to log in before you can comment on or make changes to this bug.